<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Nuisance Sonore</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
  <link rel="stylesheet" type="text/css" media="screen" href="css/main.css" />
  <link rel="stylesheet" href="https://cdn.rawgit.com/openlayers/openlayers.github.io/master/en/v5.3.0/css/ol.css" type="text/css">
  <style>
      .map {
        height: 400px;
        width: 100%;
      }
  </style>
  <script src="https://cdn.rawgit.com/openlayers/openlayers.github.io/master/en/v5.3.0/build/ol.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
  <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</head>
<body onload="ipLookUp()">
  <div class="input-group-prepend m-3" style="margin-top:2rem">
    <label class="input-group-text m-3">latitude et longitude</label>
    <input id="lat" type="number" value="48.847554" class="form-control m-3"/>
    <input id="lon" type="number" value="2.336390" class="form-control m-3"/> <br>
  </div>
  <div class="input-group-prepend m-3" style="margin-top:2rem">
    <label for="dist" class="input-group-text m-3">Distance maximale (en km):</label>
    <input id="dist" type="number" value="15"  class="form-control m-3"/><br/>
  </div>
  <div class="input-group-prepend m-3" style="margin-top:2rem">
    <img src="img/crosshairs.svg" alt="geolocation" onclick="geolocation()" style="width:2rem;"/>
    <button id="btnCalcul" type="button" onclick="btnCalcul()" class="btn btn-primary m-3">Calculer distance</button>
    <button id="btnCalcul" type="button" onclick="btnCalcul()" class="btn btn-primary m-3">Calculer distance</button>
    <button id="testCern" type="button" onclick="testCern10Km()" class="btn btn-primary m-3">Cern</button>
    <button id="testKloten" type="button" onclick="testKloten10Km()" class="btn btn-primary m-3">Gare de Kloten</button>
    <button id="testJardinLuxembourg" type="button" onclick="testJardinLuxembourg15Km()" class="btn btn-primary m-3">Jardin du Luxembourg</button>
  </div>
  <div id="resultat"></div>
  <div id="map" class="map"></div>
  <script src="./javascript/main.js"></script>
  
  <script src="./javascript/test.js"></script>
</body>
</html>
